Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class RecognitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.RecognitionException
                      de.grogra.grammar.RecognitionException

All Implemented Interfaces:
  DetailedException, Disposable, UserException, java.io.Serializable, java.lang.Comparable<RecognitionException>

Direct Known Subclasses:
  LexicalException, RecognitionExceptionList, SemanticException, SyntacticException

    public class RecognitionException

extends antlr.RecognitionException
implements UserException, DetailedException, java.lang.Comparable<RecognitionException>

See Also:
  Serialized Form

Field Summary
`static long` | `IS_ERROR`
`static long` | `MIN_UNUSED`
`long` | `warningBits`

Fields inherited from class antlr.RecognitionException
`column, fileName, line`

Constructor Summary
`RecognitionException(java.lang.String msg)`

Method Summary
`int` | `compareTo(RecognitionException e)`
`void` | `complete(Input input, int begin, int end)`
`static RecognitionException` | `convert(antlr.ANTLRException e, java.lang.String[] tokenNames)`
`void` | `dispose()`
`java.lang.String` | `getCategoryDescription()`
`int` | `getColumn()`
`java.lang.String` | `getDetailedMessage(boolean html)`
`java.lang.String` | `getDetailedMessage(int firstLine, int firstColumn, int tabWidth, boolean html)`
`int` | `getLine()`
`boolean` | `isError()`
`RecognitionException` | `set(antlr.collections.AST node)`
`RecognitionException` | `set(Input input, int begin, int end)`
`RecognitionException` | `set(antlr.RecognitionException ex)`
`RecognitionException` | `set(antlr.Token token)`
`RecognitionException` | `set(Tokenizer tokenizer)`

Methods inherited from class antlr.RecognitionException
`getErrorMessage, getFilename, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IS_ERROR

    public static final long IS_ERROR

See Also:
  Constant Field Values

### MIN_UNUSED

    public static final long MIN_UNUSED

See Also:
  Constant Field Values

### warningBits

    public long warningBits

Constructor Detail

### RecognitionException

    public RecognitionException(java.lang.String msg)

Method Detail

### compareTo

    public int compareTo(RecognitionException e)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<RecognitionException>`

### complete

    public final void complete(Input input,
                               int begin,
                               int end)

### convert

    public static RecognitionException convert(antlr.ANTLRException e,
                                               java.lang.String[] tokenNames)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getCategoryDescription

    public java.lang.String getCategoryDescription()

### getColumn

    public int getColumn()

  Overrides:
    `getColumn` in class `antlr.RecognitionException`

### getDetailedMessage

    public java.lang.String getDetailedMessage(boolean html)

  Specified by:
    `getDetailedMessage` in interface `DetailedException`

### getDetailedMessage

    public java.lang.String getDetailedMessage(int firstLine,
                                               int firstColumn,
                                               int tabWidth,
                                               boolean html)

### getLine

    public int getLine()

  Overrides:
    `getLine` in class `antlr.RecognitionException`

### isError

    public boolean isError()

### set

    public final RecognitionException set(antlr.collections.AST node)

### set

    public final RecognitionException set(Input input,
                                          int begin,
                                          int end)

### set

    public final RecognitionException set(antlr.RecognitionException ex)

### set

    public final RecognitionException set(antlr.Token token)

### set

    public final RecognitionException set(Tokenizer tokenizer)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD